LLVM: lldb::SBMemoryRegionInfo Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
lldb::SBMemoryRegionInfo Class Reference

`#include <SBMemoryRegionInfo.h>`

## Public Member Functions
| SBMemoryRegionInfo ()
| SBMemoryRegionInfo (const lldb::SBMemoryRegionInfo &rhs)
| ~SBMemoryRegionInfo ()
const lldb::SBMemoryRegionInfo & | operator= (const lldb::SBMemoryRegionInfo &rhs)
void | Clear ()
lldb::addr_t | GetRegionBase ()
lldb::addr_t | GetRegionEnd ()
bool | IsReadable ()
bool | IsWritable ()
bool | IsExecutable ()
bool | IsMapped ()
const char * | GetName ()
bool | operator== (const lldb::SBMemoryRegionInfo &rhs) const
bool | operator!= (const lldb::SBMemoryRegionInfo &rhs) const
bool | GetDescription (lldb::SBStream &description)

## Friends
class | SBProcess
class | SBMemoryRegionInfoList

## Detailed Description

Definition at line 18 of file SBMemoryRegionInfo.h.

## Constructor & Destructor Documentation

lldb::SBMemoryRegionInfo::SBMemoryRegionInfo | ( |  | ) |

lldb::SBMemoryRegionInfo::SBMemoryRegionInfo | ( | const lldb::SBMemoryRegionInfo & | rhs | ) |

lldb::SBMemoryRegionInfo::~SBMemoryRegionInfo | ( |  | ) |

## Member Function Documentation

void lldb::SBMemoryRegionInfo::Clear | ( |  | ) |

bool lldb::SBMemoryRegionInfo::GetDescription | ( | lldb::SBStream & | description | ) |

const char* lldb::SBMemoryRegionInfo::GetName | ( |  | ) |

Returns the name of the memory region mapped at the given address.

Returns
  In case of memory mapped files it is the absolute path of the file otherwise it is a name associated with the memory region. If no name can be determined the returns nullptr.

lldb::addr_t lldb::SBMemoryRegionInfo::GetRegionBase | ( |  | ) |

Get the base address of this memory range.

Returns
  The base address of this memory range.

lldb::addr_t lldb::SBMemoryRegionInfo::GetRegionEnd | ( |  | ) |

Get the end address of this memory range.

Returns
  The base address of this memory range.

bool lldb::SBMemoryRegionInfo::IsExecutable | ( |  | ) |

Check if this memory address is marked executable to the process.

Returns
  true if this memory address is marked executable

bool lldb::SBMemoryRegionInfo::IsMapped | ( |  | ) |

Check if this memory address is mapped into the process address space.

Returns
  true if this memory address is in the process address space.

bool lldb::SBMemoryRegionInfo::IsReadable | ( |  | ) |

Check if this memory address is marked readable to the process.

Returns
  true if this memory address is marked readable

bool lldb::SBMemoryRegionInfo::IsWritable | ( |  | ) |

Check if this memory address is marked writable to the process.

Returns
  true if this memory address is marked writable

bool lldb::SBMemoryRegionInfo::operator!= | ( | const lldb::SBMemoryRegionInfo & | rhs | ) | const

const lldb::SBMemoryRegionInfo& lldb::SBMemoryRegionInfo::operator= | ( | const lldb::SBMemoryRegionInfo & | rhs | ) |

bool lldb::SBMemoryRegionInfo::operator== | ( | const lldb::SBMemoryRegionInfo & | rhs | ) | const

## Friends And Related Function Documentation

friend class SBMemoryRegionInfoList
| friend

Definition at line 99 of file SBMemoryRegionInfo.h.

friend class SBProcess
| friend

Definition at line 98 of file SBMemoryRegionInfo.h.

The documentation for this class was generated from the following file:

- SBMemoryRegionInfo.h